local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MiningGoldFarming(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Mining Levelling / Gold Farming Full Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
 -- Intro
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mining:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto the theme we will be going over Mining and how you can make gold with levelling your Mining as well as what you should look out for when farming in the open world. Mining is one of the staple gathering professions and is by far an easy one to get into overall. For you to get started you will need to go to your respective Mining trainer in Stormwind or Orgrimmar for vanilla mining.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
 -- Vanilla

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lets start with Vanilla Mining. This is a fairly easy way of levelling and by making a huge chunk of gold while doing so. This will require you to farm one area from skill 1 until maxed out and that is Silithus. Most gold farmers worth there salt will know that the Thorium Ore farm is the best out of the old world mining farms and still today fetches steady sales and a good gold return for your time invested. All you will need to do is fly around the zone picking up multiple deposits of Thorium, Rich Thorium and True Silver Deposits. Though this is not where you will be making your gold from. However you will be making your gold from the Arcane Crystals you obtain along side the ore's you receive from this farm and does not get effected by being low skill level. This means you can level up your mining skill for Vanilla with one farm that always strikes a good gold per hour for your time and also sells in a relatively fast manor.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- TBC

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When it comes towards Burning Crusade Mining you will only need one farm to max this out and about an hours worth of time to complete it. First you will need to make your way over to Shattrath City and make you way to the Lower City to learn your expansion specific Mining. After doing this you will need to start mining in Terokkar Forest, we are choosing this zone to farm for two main reasons. The first one is that it has every ore in the expansion to farm up and secondly this has on average more Khorium Ore deposit drops, which are the expansions rare ore that spawns and can go for a higher than normal gold value bringing up the overall gold per hour substantially.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- WOTLK

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Northrend:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this we will be getting into Northrend which is of course a very profitable expansion in regards to Mining ores. However for levelling and or skilling up this skill you will need to go to Dalaran and learn the Northrend Mining skill before then heading over to Wintergrasp . Why Wintergrasp? , well this is because Wintergrasp has high amounts of nodes around the area, along with Saronite and Titanium Ore. This means you can start and finish you levelling process just by this zone alone, however this does come at a cost if you are not prepared. In this zone if a PvP battle is ongoing then anyone will be dismounted in mid air, however there is a nice little work around which is only able to be done by druids, where once the de-buff for being dismounted appears then you come out of your travel form and go back into it you will still be flying and will have removed said de-buff.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- Cata

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving into Levelling when it comes towards Cataclysm Farming there is only one farm you will be needing to do and not only this but it is by far one of the best Mining gold farms you can do in the expansion along with it being one of the top Mining farms in the profession as a whole. First you will need to make your way over to Stormwind or Orgrimmar to learn Cataclysm Mining, this is the same place you learned your Vanilla mining so you should not have a problem but if you do then make you way to the Dwarven District. Now onto the farm in question, you will be wanting to make your way to Uldum which you are able to take a portal to from your Capital City. Next you will be wanting to fly around the outside of the map, or in better word flying around the edge of the zone. However this is a great farm as it covers the keynote items in this expansion but one takes the lead and that being Pyrite Ore. This will come up further in the book but in essence it is a keystone material which most crafts will be going for to make gold so I would take note of this moving forward.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- Mop

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto Mists of Pandaria we will be firstly making our way over to the Jade Forest to pick up our Pandarian Mining skill. This is one of the weirder trainer locations but should not be a problem to get to and also as a side note something you would want to take note of because you will be coming back here quite a bit with other professions. However I digress, we will be wanting to make our way over to The Valley of the Four Winds. This is where we will be wanting to follow the same style of route as the Uldum farm and as such making our way around the outskirts of the zone. This is where we will be farming up Ghost Iron, White Trillium and Black Trillium Ore. This farm may take some time to skill up slower in relation to the other farms below but this can also be a good way to stock up on this material as we will be using it later on in the book for crafted mounts.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- Wod

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Draenor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving forward into Warlords of Draenor we will find this one to be the most easy of the skills to max out as this just requires you to mine anywhere. However the best area to obtain large amounts of Blackrock and True Iron Ore is definitely Tannan Jungle. Here you will need to start mining in the area for an item “A Treatise on Mining in Draenor” which will drop from the deposits around and will upon learning will let you be able to rank up your  Warlords of Draenor Mining. This is fairly straight forward and is by far one of the easiest expansions for levelling out there.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- Legion

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Much like with Herbalism for Legion, we will be heading over to The Broken Isle's Dalaran to learn the basic Mining skill. In this expansion you will be needing to not only level up your skill point but also level up your ranks from rank one to rank three but not to worry as there is only three main ores to rank up in this expansion. With this you will be wanting to start your farming journey in Suramar while when levelling up your skill a quest item will appear to rank up Felslate or Leystone ore, this is where you will need to finish or complete this quest while you are farm in between as this is the fastest way I have found to do this. However after completing this you will need to make your way over towards Argus which I previously talked about in Herbalism section for Legion. Once you are there you will want to run around one of the three areas for Empyrium Ore in which you will receive the mining ranks much like you would for the previous two. This does take a while to do and if you do not want to complete the Argus ore then it is not required as this rarely sell for anything of value.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
-- BFA

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle for Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Mining in Battle for Azeroth is much like the way you would with Herbalism and this can be done in tandem with each other as they are done by some of the same farms. We will first be wanting to learn the BFA Mining in our capital City which is Boralus for Alliance and Zandalar for Horde. Next we will want to make our way over towards Tiraguard sound as this has a high density of nodes for mining Platinum, Monelite and Storm Silver Ore. Here we will be wanting to level up our mining to 150 in skill level while completing the quests given through mining for our higher ranks as and when they pop up for us to do. This is the easy part as this is mainly just comprised for farming until maxed, the same cannot be said for Osmenite Ore.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Osmenite Ore we will be making our way to Nazjatar and to make sure we have 150 skill in mining. You will need to speak to the mining trainer in your zones base ( all trainers are clustered together). Once learned we will make our way onto farming the zone for Osmenite ore, as for rank one it is easy to obtain, however for rank two we will need to obtain the “Brinestone Pickaxe” from mobs in the zone so some mob grinding is required. Once obtained you will have to use this to obtain rank two Osmenite from Avarius, which is a rare that drops OsmeniteSeam and Osmenite deposit, so you will have two do this twice in order to get both ( you can get lucky and get both). As for rank three you just have to go back to farming Osmenite Ore once again until the quest item drops to obtain rank three.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  -- Shadowlands
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving into Shadowlands Mining, it is a fairly straight forward affair. You will first need to go to Oribos and speak to the trainer to learn Shadowlands Mining. The next part would be to make your way to Maldraxxus as this has one of the best mining locations in this expansion for node density and that is what we are looking for. However this does take a good while to skill up there are no ranks for Shadowlands, so it is mainly a grind to max out your mining. However, because of this it might be worth your time looking at what Shadowlands Ores are selling for the most gold and farming those locations as the quantity of Ores does not change, this is handy as we can make a lot more gold if we go for the highest value while levelling this Mining.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  -- Dark Iron Ore
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Smelting: Dark Iron Ore")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("There are a few different smelting techniques that you can learn and can provide you with lots of gold into the future so we will start this off with Dark Iron Bars. To learn this skill you will need:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
 
  local desc = AceGUI:Create("Label")
  desc:SetText("• 2x Star Ruby")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("• 20x Gold Bar")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("• 10x Truesilver Bar")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("With these materials we will need to then head towards Blackrock Depths inside of Blackrock Mountain in either the Searing Gorge or the Burning Steppes. Once there you will want to head towards the boss(s) known as “The Seven” in which you will need to speak to one of them called “Gloom'Rel” he will ask you for the materials and by giving them in and completing the quest you will be rewarded with smelting ability to smelt Dark Iron Ore. However two notes you might want to take into account is that by learning this you have to make sure your mining is maxed out. The next is that you can only smelt Dark Iron Ore through the Dark Iron Forge, this can also be found inside of this dungeon next to the raid of the “Molten Core”. Through that you can smelt as much Dark Iron as you wish.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
  -- Enchanted Elementium
  
       local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Smelting: Enchanted Elementium")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is another great way of making gold as Enchanted Elementium is used for a lot of high value crafts people still buy today for a premium. If you are wanting to obtain this recipe you must first have your Vanilla Mining at max skill then make your way back over towards the Blackrock Mountain in which you will want to enter the “Black Wing Lair” raid. In here you will want to clear the first three bosses, then once into the area of the goblins crafting potions and elixirs you will find an elite mob called “Master Elemental Shaper Krixix”. Upon killing him you will be rewarded with plans to smelt Enchanted Elementium.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  
  

end